Subscriptions - Check Zone Peers

Compares a subscriptions logical zone mapping. Please register the feature with AZ CLI: 'az feature register -n AvailabilityZonePeering --namespace Microsoft.Resources' , and check the status with: 'az feature show -n AvailabilityZonePeering --namespace Microsoft.Resources' before calling the checkZonePeers API.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Resources/checkZonePeers/?api-version=2020-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

The ID of the target subscription.

api-version
query True

string

The API version to use for the operation.

Request Body

Name Type Description
location

string

The Microsoft location.

subscriptionIds

string[]

The peer Microsoft Azure subscription ID.

Responses

Name Type Description
200 OK

CheckZonePeersResult

OK - Returns information about the logical availability zone mapping between subscriptions.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetLogicalZoneMapping

Sample Request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-00000000000000/providers/Microsoft.Resources/checkZonePeers/?api-version=2020-01-01

{
  "location": "eastus",
  "subscriptionIds": [
    "subscriptions/11111111-1111-1111-1111-111111111111"
  ]
}

Sample Response

{
  "subscriptionId": "00000000-0000-0000-0000-00000000000000",
  "location": "eastus2",
  "availabilityZonePeers": [
    {
      "availabilityZone": "1",
      "peers": [
        {
          "subscriptionId": "11111111-1111-1111-1111-111111111111",
          "availabilityZone": "3"
        }
      ]
    },
    {
      "availabilityZone": "2",
      "peers": [
        {
          "subscriptionId": "11111111-1111-1111-1111-111111111111",
          "availabilityZone": "2"
        }
      ]
    },
    {
      "availabilityZone": "3",
      "peers": [
        {
          "subscriptionId": "11111111-1111-1111-1111-111111111111",
          "availabilityZone": "1"
        }
      ]
    }
  ]
}

Definitions

Name Description
AvailabilityZonePeers

List of availability zones shared by the subscriptions.

CheckZonePeersRequest

Check zone peers request parameters.

CheckZonePeersResult

Result of the Check zone peers operation.

ErrorDefinition

Error description and code explaining why resource name is invalid.

ErrorResponse

Error response.

Peers

Information about shared availability zone.

AvailabilityZonePeers

List of availability zones shared by the subscriptions.

Name Type Description
availabilityZone

string

The availabilityZone.

peers

Peers[]

Details of shared availability zone.

CheckZonePeersRequest

Check zone peers request parameters.

Name Type Description
location

string

The Microsoft location.

subscriptionIds

string[]

The peer Microsoft Azure subscription ID.

CheckZonePeersResult

Result of the Check zone peers operation.

Name Type Description
availabilityZonePeers

AvailabilityZonePeers[]

The Availability Zones shared by the subscriptions.

location

string

the location of the subscription.

subscriptionId

string

The subscription ID.

ErrorDefinition

Error description and code explaining why resource name is invalid.

Name Type Description
code

string

Code of the error.

message

string

Description of the error.

ErrorResponse

Error response.

Name Type Description
error

ErrorDefinition

The error details.

Peers

Information about shared availability zone.

Name Type Description
availabilityZone

string

The availabilityZone.

subscriptionId

string

The subscription ID.